Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class PassageSelectionPane.CustomPassageListener

    java.lang.Object
      org.crosswire.bibledesktop.book.PassageSelectionPane.CustomPassageListener

All Implemented Interfaces:
  EventListener, PassageListener

Enclosing class:
  PassageSelectionPane

     class PassageSelectionPane.CustomPassageListener

extends Object
implements PassageListener

To update the textbox when the passage changes

Constructor Summary
`PassageSelectionPane.CustomPassageListener()`

Method Summary
`void` | `versesAdded(PassageEvent ev)` Sent after stuff has been added to the Passage, more info about what and where can be had from the Event
`void` | `versesChanged(PassageEvent ev)` Sent after verses have been symultaneously added and removed from the Passage, more info about what and where can be had from the Event
`void` | `versesRemoved(PassageEvent ev)` Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassageSelectionPane.CustomPassageListener

    PassageSelectionPane.CustomPassageListener()

Method Detail

### versesAdded

    public void versesAdded(PassageEvent ev)

  Description copied from interface: `PassageListener`
  Sent after stuff has been added to the Passage, more info about what and where can be had from the Event

  Specified by:
    `versesAdded` in interface `PassageListener`
  Parameters:
    `ev` - a PassageEvent encapuslating the event information

### versesRemoved

    public void versesRemoved(PassageEvent ev)

  Description copied from interface: `PassageListener`
  Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

  Specified by:
    `versesRemoved` in interface `PassageListener`
  Parameters:
    `ev` - a PassageEvent encapuslating the event information

### versesChanged

    public void versesChanged(PassageEvent ev)

  Description copied from interface: `PassageListener`
  Sent after verses have been symultaneously added and removed from the Passage, more info about what and where can be had from the Event

  Specified by:
    `versesChanged` in interface `PassageListener`
  Parameters:
    `ev` - a PassageEvent encapuslating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD